curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/teams/{id}/permissions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"resourceType": "<string>",
"resourceId": "<string>",
"roleId": "<string>",
"roleName": "<string>",
"subjectId": "<string>",
"subjectType": "<string>",
"resourceName": "<string>",
"resourceFqn": "<string>"
}
]
}Get all role bindings associated with a team.
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/teams/{id}/permissions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"resourceType": "<string>",
"resourceId": "<string>",
"roleId": "<string>",
"roleName": "<string>",
"subjectId": "<string>",
"subjectType": "<string>",
"resourceName": "<string>",
"resourceFqn": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Team Id
Returns role bindings for the team.
Role bindings for the team
Show child attributes
Was this page helpful?